------------------------------------------------------------
--  blancoDb Enterprise Edition
--  PostgreSQL 8.x用 テスト表
------------------------------------------------------------

CREATE TABLE test_blanco_db_table1 (
    Col_Int_Not_Null          INT           NOT NULL,
    Col_Int_Null              INT               NULL,
    Col_Short_Not_Null        SMALLINT      NOT NULL,
    Col_Short_Null            SMALLINT          NULL,
    Col_BigInt_Not_Null      BIGINT        NOT NULL,
    Col_BigInt_Null          BIGINT            NULL,
    Col_Real_Not_Null         REAL          NOT NULL,
    Col_Real_Null             REAL              NULL,
    Col_Float_Not_Null        FLOAT         NOT NULL,
    Col_Float_Null            FLOAT             NULL,
    Col_Numeric20_Not_Null    NUMERIC(20)   NOT NULL,
    Col_Numeric20_Null        NUMERIC(20)       NULL,
    Col_Decimal15_Not_Null    DECIMAL(15)   NOT NULL,
    Col_Decimal15_Null        DECIMAL(15)       NULL,
    Col_Decimal153_Not_Null   DECIMAL(15,3) NOT NULL,
    Col_Decimal153_Null       DECIMAL(15,3)     NULL,
    -- いったんあきらめました ColBitNotNull           BIT           NOT NULL,
    -- いったんあきらめました ColBitNull              BIT               NULL,
    --Col_Binary100_Not_Null  BINARY(100)   NOT NULL,
    --Col_Binary100_Null      BINARY(100)       NULL,
    --Col_Image_Not_Null      IMAGE         NOT NULL,
    --Col_Image_Null          IMAGE             NULL,
    Col_Char1_Not_Null        CHAR(1)       NOT NULL,
    Col_Char1_Null            CHAR(1)           NULL,
    Col_Char2_Not_Null        CHAR(2)       NOT NULL,
    Col_Char2_Null            CHAR(2)           NULL,
    Col_Char10_Not_Null       CHAR(10)      NOT NULL,
    Col_Char10_Null           CHAR(10)          NULL,
    Col_NChar10_Not_Null      NCHAR(10)     NOT NULL,
    Col_NChar10_Null          NCHAR(10)         NULL,
    Col_Varchar10_Not_Null    VARCHAR(10)   NOT NULL,
    Col_Varchar10_Null        VARCHAR(10)       NULL,
    Col_Varchar255_Not_Null   VARCHAR(255)  NOT NULL,
    Col_Varchar255_Null       VARCHAR(255)      NULL,
    Col_Varchar1000_Null      VARCHAR(1000)     NULL,
    --Col_NVarchar255_Not_Null  NVARCHAR(255) NOT NULL,
    --Col_NVarchar255_Null      NVARCHAR(255)     NULL,
    Col_text                  TEXT              NULL,
    --Col_Date_Not_Null       DATE          NOT NULL,
    --Col_Time_Not_Null       TIME          NOT NULL,
    Col_Timestamp_Not_Null    TIMESTAMP     NOT NULL,
    Col_Timestamp_Null        TIMESTAMP         NULL,
	PRIMARY KEY (Col_Int_Not_Null)
);

CREATE TABLE TestBlancoDbTable2 (
	ColIntNotNull           INT           NOT NULL,
	ColIntNull              INT               NULL,
    ColShortNotNull         SMALLINT      NOT NULL,
    ColShortNull            SMALLINT          NULL,
	ColBigIntNotNull        BIGINT        NOT NULL,
	ColBigIntNull           BIGINT            NULL,
    ColRealNotNull          REAL          NOT NULL,
    ColRealNull             REAL              NULL,
    ColFloatNotNull         FLOAT         NOT NULL,
    ColFloatNull            FLOAT             NULL,
    ColNumeric20NotNull     NUMERIC(20)   NOT NULL,
    ColNumeric20Null        NUMERIC(20)       NULL,
    ColDecimal15NotNull     DECIMAL(15)   NOT NULL,
    ColDecimal15Null        DECIMAL(15)       NULL,
    ColDecimal153NotNull    DECIMAL(15,3) NOT NULL,
    ColDecimal153Null       DECIMAL(15,3)     NULL,
    ColBitNotNull           BIT           NOT NULL,
    ColBitNull              BIT               NULL,
    ColBinary100NotNull     BINARY(100)   NOT NULL,
    ColBinary100Null        BINARY(100)       NULL,
    ColImageNotNull         IMAGE         NOT NULL,
    ColImageNull            IMAGE             NULL,
    ColChar1NotNull         CHAR(1)       NOT NULL,
    ColChar1Null            CHAR(1)           NULL,
    ColChar2NotNull         CHAR(2)       NOT NULL,
    ColChar2Null            CHAR(2)           NULL,
    ColChar10NotNull        CHAR(10)      NOT NULL,
    ColChar10Null           CHAR(10)          NULL,
    ColNChar10NotNull       NCHAR(10)     NOT NULL,
    ColNChar10Null          NCHAR(10)         NULL,
    ColVarchar10NotNull     VARCHAR(10)   NOT NULL,
    ColVarchar10Null        VARCHAR(10)       NULL,
    ColVarchar255NotNull    VARCHAR(255)  NOT NULL,
    ColVarchar255Null       VARCHAR(255)      NULL,
    ColVarchar1000Null      VARCHAR(1000)     NULL,
    ColNVarchar255NotNull   NVARCHAR(255) NOT NULL,
    ColNVarchar255Null      NVARCHAR(255)     NULL,
    --ColDateNotNull          DATE        NOT NULL,
    --ColDateNull             DATE            NULL,
    --ColTimeNotNull          TIME        NOT NULL,
    --ColTimeNull             TIME            NULL,
    ColDatetimeNotNull      DATETIME      NOT NULL,
    ColDatetimeNull         DATETIME          NULL,
	PRIMARY KEY (ColIntNotNull, ColShortNotNull, ColBigIntNotNull, ColRealNotNull, ColFloatNotNull,
	    ColNumeric20NotNull, ColDecimal15NotNull, ColDecimal153NotNull,
	    ColBitNotNull, ColBinary100NotNull, ColChar1NotNull, ColChar10NotNull,
	    ColVarchar255NotNull, ColDatetimeNotNull)
);


